#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=Icon.ico
#AutoIt3Wrapper_outfile=MSC.exe
#AutoIt3Wrapper_Res_Comment=MTB Framesize-Calculator
#AutoIt3Wrapper_Res_Description=Calculation of a specific mtb-framegeometry
#AutoIt3Wrapper_Res_Fileversion=1.4.0.0
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_AU3Check_Stop_OnWarning=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

;
; Namme:		MSC - Mountainbike Framesize-Calculator
; Author:		dvmade
; Date:			Start June 2008
; Version:		1.4
;
; Description:	The tool calculates a specific framegeometry (values) for your own body geometry.
;				Beware of the values. These are only a suggestion and it's not a 100% solution!
;				Ask your local dealer in case of uncertainess.
;
; History:		Based on an article in the mountainbike-magazine (Thanks to the team)
;

; Include
#include <Array.au3>
#include <GUIConstantsEx.au3>

AutoItSetOption("TrayIconHide",1)

; Init Create Table Arrays
Global $AppVersion = "1.4"

; Framesize Table
Global $TabFrameSize[14][4]
$TabFrameSize[0][0] = 710
$TabFrameSize[0][1] = 370
$TabFrameSize[0][2] = 90
$TabFrameSize[0][3] = 95
$TabFrameSize[1][0] = 738
$TabFrameSize[1][1] = 385
$TabFrameSize[1][2] = 90
$TabFrameSize[1][3] = 95
$TabFrameSize[2][0] = 763
$TabFrameSize[2][1] = 405
$TabFrameSize[2][2] = 90
$TabFrameSize[2][3] = 100
$TabFrameSize[3][0] = 788
$TabFrameSize[3][1] = 430
$TabFrameSize[3][2] = 90
$TabFrameSize[3][3] = 105
$TabFrameSize[4][0] = 813
$TabFrameSize[4][1] = 450
$TabFrameSize[4][2] = 100
$TabFrameSize[4][3] = 115
$TabFrameSize[5][0] = 838
$TabFrameSize[5][1] = 470
$TabFrameSize[5][2] = 110
$TabFrameSize[5][3] = 120
$TabFrameSize[6][0] = 865
$TabFrameSize[6][1] = 495
$TabFrameSize[6][2] = 120
$TabFrameSize[6][3] = 125
$TabFrameSize[7][0] = 890
$TabFrameSize[7][1] = 515
$TabFrameSize[7][2] = 130
$TabFrameSize[7][3] = 130
$TabFrameSize[8][0] = 915
$TabFrameSize[8][1] = 540
$TabFrameSize[8][2] = 140
$TabFrameSize[8][3] = 135
$TabFrameSize[9][0] = 940
$TabFrameSize[9][1] = 565
$TabFrameSize[9][2] = 155
$TabFrameSize[9][3] = 140
$TabFrameSize[10][0] = 965
$TabFrameSize[10][1] = 590
$TabFrameSize[10][2] = 180
$TabFrameSize[10][3] = 140
$TabFrameSize[11][0] = 990
$TabFrameSize[11][1] = 615
$TabFrameSize[11][2] = 200
$TabFrameSize[11][3] = 150
$TabFrameSize[12][0] = 1015
$TabFrameSize[12][1] = 640
$TabFrameSize[12][2] = 200
$TabFrameSize[12][3] = 150
$TabFrameSize[13][0] = 1040
$TabFrameSize[13][1] = 665
$TabFrameSize[13][2] = 200
$TabFrameSize[13][3] = 150

; StepLength Table
Global $TabStepLength[14]
$TabStepLength[0] = 710
$TabStepLength[1] = 738
$TabStepLength[2] = 763
$TabStepLength[3] = 788
$TabStepLength[4] = 813
$TabStepLength[5] = 838
$TabStepLength[6] = 865
$TabStepLength[7] = 890
$TabStepLength[8] = 915
$TabStepLength[9] = 940
$TabStepLength[10] = 965
$TabStepLength[11] = 990
$TabStepLength[12] = 1015
$TabStepLength[13] = 1040

; SeatLength Table
Global $TabSeatLength[15][2]
$TabSeatLength[0][0] = 970
$TabSeatLength[0][1] = 625
$TabSeatLength[1][0] = 1020
$TabSeatLength[1][1] = 645
$TabSeatLength[2][0] = 1070
$TabSeatLength[2][1] = 655
$TabSeatLength[3][0] = 1120
$TabSeatLength[3][1] = 670
$TabSeatLength[4][0] = 1170
$TabSeatLength[4][1] = 690
$TabSeatLength[5][0] = 1220
$TabSeatLength[5][1] = 710
$TabSeatLength[6][0] = 1270
$TabSeatLength[6][1] = 715
$TabSeatLength[7][0] = 1320
$TabSeatLength[7][1] = 730
$TabSeatLength[8][0] = 1370
$TabSeatLength[8][1] = 740
$TabSeatLength[9][0] = 1420
$TabSeatLength[9][1] = 745
$TabSeatLength[10][0] = 1470
$TabSeatLength[10][1] = 760
$TabSeatLength[11][0] = 1520
$TabSeatLength[11][1] = 780
$TabSeatLength[12][0] = 1580
$TabSeatLength[12][1] = 790
$TabSeatLength[13][0] = 1630
$TabSeatLength[13][1] = 805
$TabSeatLength[14][0] = 1680
$TabSeatLength[14][1] = 815

; Range Table
Global $TabRange[15]
$TabRange[0] = 970
$TabRange[1] = 1020
$TabRange[2] = 1070
$TabRange[3] = 1120
$TabRange[4] = 1170
$TabRange[5] = 1220
$TabRange[6] = 1270
$TabRange[7] = 1320
$TabRange[8] = 1370
$TabRange[9] = 1420
$TabRange[10] = 1470
$TabRange[11] = 1520
$TabRange[12] = 1580
$TabRange[13] = 1630
$TabRange[14] = 1680


; Main GUI
$MainGUIForm = GUICreate("MTB Framesize-Calculator " & "Version [" & $AppVersion & "]", 467, 489, 256, 116)
$lblHead = GUICtrlCreateLabel("MTB Framesize-Calculator", 8, 8, 215, 24)
GUICtrlSetFont(-1, 12, 800, 0, "MS Sans Serif")

$btnClear = GUICtrlCreateButton("Leeren", 304, 440, 75, 25, 0)
$btnExit = GUICtrlCreateButton("Beenden", 384, 440, 75, 25)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")


; 1. Tabgroup - Bodydatas
$grpBodyMeasurements = GUICtrlCreateGroup("1. Krpermae", 0, 40, 249, 105)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblBodyLength = GUICtrlCreateLabel("Krperlnge", 8, 64, 85, 17)
$inpBodyLength = GUICtrlCreateInput("177", 96, 64, 113, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblStepLength = GUICtrlCreateLabel("Schrittlnge", 8, 88, 84, 17)
$inpStepLength = GUICtrlCreateInput("80", 96, 88, 113, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblArmLength = GUICtrlCreateLabel("Armlnge", 8, 112, 88, 17)
$inpArmLength = GUICtrlCreateInput("61.5", 96, 112, 113, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblUnit1 = GUICtrlCreateLabel("cm", 216, 64, 20, 17)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblUnit2 = GUICtrlCreateLabel("cm", 216, 88, 20, 17)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblUnit3 = GUICtrlCreateLabel("cm", 216, 112, 20, 17)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlCreateGroup("", -99, -99, 1, 1)  ;close group


; 2, Tabgroup - Framesize / Range
$grpFrameSize = GUICtrlCreateGroup("2. Rahmengre und Reichweite", 256, 40, 209, 105)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$cmbFrameSize = GUICtrlCreateCombo("", 344, 64, 113, 25)
GUICtrlSetData(-1, "Auswahl|71.0 cm|73.8 cm|76.3 cm|78.8 cm|81.3 cm|83.8 cm|86.5 cm|89.0 cm|91.5 cm|94.0 cm|96.5 cm|99.0 cm|101.5 cm|104.0 cm", "Auswahl")
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblFrameStepLenghth = GUICtrlCreateLabel("Schrittlnge", 264, 64, 76, 17)
$lblRangeCalc = GUICtrlCreateLabel("Reichweite", 264, 88, 75, 17)
$inpRangeCalc = GUICtrlCreateInput("", 344, 88, 113, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$btnCalcRange = GUICtrlCreateButton("Berechnen", 344, 112, 115, 25, 0)
GUICtrlCreateGroup("", -99, -99, 1, 1)  ;close group


; 3. Tabgroup - Seatlength / Uppertubelength
$grpSeatLength = GUICtrlCreateGroup("3. Sitzlnge und Oberrohrlnge", 0, 152, 249, 121)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblRangeSeat = GUICtrlCreateLabel("Reichweite", 8, 176, 105, 17)
$cmbSeatLength = GUICtrlCreateCombo("", 120, 176, 121, 25)
GUICtrlSetData(-1, "Auswahl|97.0 cm|102.0 cm|107.0 cm|112.0 cm|117.0 cm|122.0 cm|127.0 cm|132.0 cm|137.0 cm|142.0 cm|147.0 cm|152.0 cm|158.0 cm|163.0 cm|168.0 cm", "Auswahl")
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblTheoUTL = GUICtrlCreateLabel("Theoretische", 8, 192, 102, 17)
$lblUpperTubeLength = GUICtrlCreateLabel("Oberrohrlnge", 8, 208, 108, 17)
$inpUpperTubeLength = GUICtrlCreateInput("", 120, 200, 121, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$btnCalcTempUTL = GUICtrlCreateButton("Berechnen", 120, 240, 123, 25, 0)
GUICtrlCreateGroup("", -99, -99, 1, 1)  ;close group


; 4. Tabgroup - Correction (Biketype and gender)
$grpCorrection = GUICtrlCreateGroup("4. Korrektur", 256, 152, 209, 121)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblBikeType = GUICtrlCreateLabel("BIKE-Typ", 264, 176, 73, 17)
$chkCC = GUICtrlCreateCheckbox("Cross Country", 344, 176, 113, 17)
$chkTour = GUICtrlCreateCheckbox("Tour", 344, 192, 113, 17)
$chkFreeride = GUICtrlCreateCheckbox("Freeride", 344, 208, 113, 17)

$lblSex = GUICtrlCreateLabel("Geschlecht", 264, 232, 74, 17)
$chkman = GUICtrlCreateCheckbox("mnnlich", 344, 232, 113, 17)
$chkwoman = GUICtrlCreateCheckbox("weiblich", 344, 248, 97, 17)

GUICtrlCreateGroup("", -99, -99, 1, 1)  ;close group


; 5. Tabgroup - Results (Geometry)
$grpResults = GUICtrlCreateGroup("5. Ergebisse - Geometrie", 0, 280, 465, 153)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblBodySize = GUICtrlCreateLabel("Krpermae", 8, 304, 71, 17)
$lblFramegeometry = GUICtrlCreateLabel("Mgliche Rahmengeometriemae", 222, 304, 190, 17)
					GUICtrlSetColor($lblFramegeometry, 0x3A6EA5)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")

$lblResBodyLenght = GUICtrlCreateLabel("Krperlnge", 8, 328, 85, 17)
$inpResBodyLength = GUICtrlCreateInput("", 96, 328, 89, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$lblResStepLength = GUICtrlCreateLabel("Schrittlnge", 8, 352, 84, 17)
$inpResStepLength = GUICtrlCreateInput("", 96, 352, 89, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$lblResArmLength = GUICtrlCreateLabel("Armlnge", 8, 376, 80, 17)
$inpResArmLength = GUICtrlCreateInput("", 96, 376, 89, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$lblResUpperTubeLength = GUICtrlCreateLabel("Oberrohrlnge", 208, 328, 95, 17)
$inpResUpperTubeLength = GUICtrlCreateInput("", 312, 328, 121, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$lblResSteerTubeLength = GUICtrlCreateLabel("Steuerrohrlnge", 208, 352, 95, 17)
$inpResSteerTubeLength = GUICtrlCreateInput("", 312, 352, 121, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$lblResStemLength = GUICtrlCreateLabel("Vorbaulnge", 208, 376, 96, 17)
$inpResStemLength = GUICtrlCreateInput("", 312, 376, 121, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$lblResSeatTubeLength = GUICtrlCreateLabel("Sitzrohrlnge", 208, 400, 97, 17)
$inpResSeatTubeLength = GUICtrlCreateInput("", 312, 400, 121, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetState(-1, $GUI_DISABLE)

$btnCalcFinal = GUICtrlCreateButton("Berechnen", 96, 400, 91, 25, 0)
GUICtrlCreateGroup("", -99, -99, 1, 1)  ;close group


; Mainmenu
$menFile = GUICtrlCreateMenu("&Datei")
$menFileExit = GUICtrlCreateMenuItem("Beenden", $menFile)
$menHelp = GUICtrlCreateMenu("&Hilfe")
$menHelpAbout = GUICtrlCreateMenuItem("ber", $menHelp)
GUISetState(@SW_SHOW)

; Mainloop
While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg

		Case $btnCalcRange

			;###############################################################################
			; Calculation Step 2 (Framesize)
			If (GUICtrlRead($inpBodyLength) <> "") And (GUICtrlRead($inpArmLength) <> "") And (GUICtrlRead($inpStepLength) <> "") Or GUICtrlRead($cmbFrameSize) <> "Auswahl" Then

				$RetVal1 = StringTrimRight(GUICtrlRead($cmbFrameSize), 3)
				$RetVal2 = StringReplace($RetVal1, ".", "")
				$ValPos = _ArraySearch ($TabStepLength, $RetVal2)

				Select
					Case $ValPos = -1
						MsgBox(16, "Schritt 2: Fehler - Schrittlnge", '"' & GUICtrlRead($cmbFrameSize) & '" ist kein gltiger Wert!')

					Case Else

						; Select Values in FramSize-Array
						$FSStepLength = $TabFrameSize[$ValPos][0]
						$FSSeatTubeLength = $TabFrameSize[$ValPos][1]
						$FSSteerTubeLength = $TabFrameSize[$ValPos][2]
						$FSStemLength = $TabFrameSize[$ValPos][3]

						; Calculation Step 3 (Range)
						$RetVal = GUICtrlRead($inpBodyLength)*10 + GUICtrlRead($inpArmLength)*10 - GUICtrlRead($inpStepLength)*10
						GUICtrlSetData($inpRangeCalc, $RetVal/10 & " cm")

						$RetValStep1="OK"

				EndSelect
			Else
				MsgBox(16, "Schritt 1: Fehler - Eingabe", "Bitte berprfe deine Eingabe!")

			EndIf

		Case $btnCalcTempUTL

			;###############################################################################
			; Calculation Step 4 (Seatlength)
			If $RetValStep1="OK" Then

			$RetVal1 = StringTrimRight(GUICtrlRead($cmbSeatLength), 3)
			$RetVal2 = StringReplace($RetVal1, ".", "")
			$ValPos = _ArraySearch ($TabRange, $RetVal2)

			Select
				Case $ValPos = -1
					MsgBox(16, "Schritt 3: Fehler - Reichweite", '"' & GUICtrlRead($cmbSeatLength) & '" ist kein gltiger Wert!')

				Case Else

					; Select Values in SeatLength-Array
					$SLRange = $TabSeatLength[$ValPos][0]
					$SLSeatLength = $TabSeatLength[$ValPos][1]

					; Calculation Step 5 (Uppertubelength)
					$RetVal = $SLSeatLength - $FSStemLength
					$TempUpperTubeLength = $RetVal
					GUICtrlSetData($inpUpperTubeLength, $RetVal/10 & " cm")

					$RetValStep2="OK"

				EndSelect

			Else
				MsgBox(16, "Schritt 2: Fehler - Eingabe", "Bitte berprfe deine Eingabe!")

			EndIf

		Case $btnCalcFinal

			;###############################################################################
			; Calculation Step 6 (Korrektur)
			If ($RetValStep1="OK") And ($RetValStep2="Ok") And (GUICtrlRead($inpBodyLength) <> "") And (GUICtrlRead($inpArmLength) <> "") And (GUICtrlRead($inpStepLength) <> "") Then

				Select
					Case (GUICtrlRead($chkCC) = $GUI_CHECKED) And (GUICtrlRead($chkman) = $GUI_CHECKED) And Not (GUICtrlRead($chkwoman) = $GUI_CHECKED) And Not (GUICtrlRead($chkTour) = $GUI_CHECKED) And Not (GUICtrlRead($chkFreeride) = $GUI_CHECKED)

						$FixUpperTubeLength = $TempUpperTubeLength
						$FixStemLength = $FSStemLength

						; Calculation Step 7 (MB-Top-Geometrie)
						; Bodysizes
						GUICtrlSetData($inpResBodyLength, GUICtrlRead($inpBodyLength) & " cm")
						GUICtrlSetData($inpResStepLength, GUICtrlRead($inpStepLength) & " cm")
						GUICtrlSetData($inpResArmLength, GUICtrlRead($inpArmLength) & " cm")

						; Framegeometry
						GUICtrlSetData($inpResUpperTubeLength, $FixUpperTubeLength/10 & " cm")
						GUICtrlSetData($inpResSteerTubeLength, $FSSteerTubeLength/10 & " cm")
						GUICtrlSetData($inpResStemLength, $FixStemLength/10 & " cm")
						GUICtrlSetData($inpResSeatTubeLength, $FSSeatTubeLength/10 & " cm")

					Case (GUICtrlRead($chkCC) = $GUI_CHECKED) And (GUICtrlRead($chkwoman) = $GUI_CHECKED) And Not (GUICtrlRead($chkman) = $GUI_CHECKED) And Not (GUICtrlRead($chkTour) = $GUI_CHECKED) And Not (GUICtrlRead($chkFreeride) = $GUI_CHECKED)

						$FixUpperTubeLength = $TempUpperTubeLength - 15
						$FixStemLength = $FSStemLength

						; Calculation Step 7 (MB-Top-Geometrie)
						; Bodysizes
						GUICtrlSetData($inpResBodyLength, GUICtrlRead($inpBodyLength) & " cm")
						GUICtrlSetData($inpResStepLength, GUICtrlRead($inpStepLength) & " cm")
						GUICtrlSetData($inpResArmLength, GUICtrlRead($inpArmLength) & " cm")

						; Framegeometry
						GUICtrlSetData($inpResUpperTubeLength, $FixUpperTubeLength/10 & " cm")
						GUICtrlSetData($inpResSteerTubeLength, $FSSteerTubeLength/10 & " cm")
						GUICtrlSetData($inpResStemLength, $FixStemLength/10 & " cm")
						GUICtrlSetData($inpResSeatTubeLength, $FSSeatTubeLength/10 & " cm")

					Case (GUICtrlRead($chkTour) = $GUI_CHECKED) And (GUICtrlRead($chkman) = $GUI_CHECKED) And Not (GUICtrlRead($chkwoman) = $GUI_CHECKED) And Not (GUICtrlRead($chkCC) = $GUI_CHECKED)  And Not (GUICtrlRead($chkFreeride) = $GUI_CHECKED)

						$FixUpperTubeLength = $TempUpperTubeLength - 15
						$FixStemLength = $FSStemLength - 10

						; Calculation Step 7 (MB-Top-Geometrie)
						; Bodysizes
						GUICtrlSetData($inpResBodyLength, GUICtrlRead($inpBodyLength) & " cm")
						GUICtrlSetData($inpResStepLength, GUICtrlRead($inpStepLength) & " cm")
						GUICtrlSetData($inpResArmLength, GUICtrlRead($inpArmLength) & " cm")

						; Framegeometry
						GUICtrlSetData($inpResUpperTubeLength, $FixUpperTubeLength/10 & " cm")
						GUICtrlSetData($inpResSteerTubeLength, $FSSteerTubeLength/10 & " cm")
						GUICtrlSetData($inpResStemLength, $FixStemLength/10 & " cm")
						GUICtrlSetData($inpResSeatTubeLength, $FSSeatTubeLength/10 & " cm")

					Case (GUICtrlRead($chkTour) = $GUI_CHECKED) And (GUICtrlRead($chkwoman) = $GUI_CHECKED) And Not (GUICtrlRead($chkman) = $GUI_CHECKED) And Not (GUICtrlRead($chkCC) = $GUI_CHECKED) And Not (GUICtrlRead($chkFreeride) = $GUI_CHECKED)

						$FixUpperTubeLength = $TempUpperTubeLength - 30
						$FixStemLength = $FSStemLength - 10

						; Calculation Step 7 (MB-Top-Geometrie)
						; Bodysizes
						GUICtrlSetData($inpResBodyLength, GUICtrlRead($inpBodyLength) & " cm")
						GUICtrlSetData($inpResStepLength, GUICtrlRead($inpStepLength) & " cm")
						GUICtrlSetData($inpResArmLength, GUICtrlRead($inpArmLength) & " cm")

						; Framegeometry
						GUICtrlSetData($inpResUpperTubeLength, $FixUpperTubeLength/10 & " cm")
						GUICtrlSetData($inpResSteerTubeLength, $FSSteerTubeLength/10 & " cm")
						GUICtrlSetData($inpResStemLength, $FixStemLength/10 & " cm")
						GUICtrlSetData($inpResSeatTubeLength, $FSSeatTubeLength/10 & " cm")

					Case (GUICtrlRead($chkFreeride) = $GUI_CHECKED) And (GUICtrlRead($chkman) = $GUI_CHECKED) And Not (GUICtrlRead($chkwoman) = $GUI_CHECKED) And Not (GUICtrlRead($chkTour) = $GUI_CHECKED) And Not (GUICtrlRead($chkCC) = $GUI_CHECKED)

						$FixUpperTubeLength = $TempUpperTubeLength
						$FixStemLength = $FSStemLength - 40

						; Calculation Step 7 (MB-Top-Geometrie)
						; Bodysizes
						GUICtrlSetData($inpResBodyLength, GUICtrlRead($inpBodyLength) & " cm")
						GUICtrlSetData($inpResStepLength, GUICtrlRead($inpStepLength) & " cm")
						GUICtrlSetData($inpResArmLength, GUICtrlRead($inpArmLength) & " cm")

						; Framegeometry
						GUICtrlSetData($inpResUpperTubeLength, $FixUpperTubeLength/10 & " cm")
						GUICtrlSetData($inpResSteerTubeLength, $FSSteerTubeLength/10 & " cm")
						GUICtrlSetData($inpResStemLength, $FixStemLength/10 & " cm")
						GUICtrlSetData($inpResSeatTubeLength, $FSSeatTubeLength/10 & " cm")

					Case (GUICtrlRead($chkFreeride) = $GUI_CHECKED) And (GUICtrlRead($chkwoman) = $GUI_CHECKED)	And Not (GUICtrlRead($chkman) = $GUI_CHECKED) And Not (GUICtrlRead($chkTour) = $GUI_CHECKED) And Not (GUICtrlRead($chkCC) = $GUI_CHECKED)

						$FixUpperTubeLength = $TempUpperTubeLength -15
						$FixStemLength = $FSStemLength - 40

						; Calculation Step 7 (MB-Top-Geometrie)
						; Bodysizes
						GUICtrlSetData($inpResBodyLength, GUICtrlRead($inpBodyLength) & " cm")
						GUICtrlSetData($inpResStepLength, GUICtrlRead($inpStepLength) & " cm")
						GUICtrlSetData($inpResArmLength, GUICtrlRead($inpArmLength) & " cm")

						; Framegeometry
						GUICtrlSetData($inpResUpperTubeLength, $FixUpperTubeLength/10 & " cm")
						GUICtrlSetData($inpResSteerTubeLength, $FSSteerTubeLength/10 & " cm")
						GUICtrlSetData($inpResStemLength, $FixStemLength/10 & " cm")
						GUICtrlSetData($inpResSeatTubeLength, $FSSeatTubeLength/10 & " cm")

					Case Else
						MsgBox(16, "Schritt 4: Hinweis", "Bitte den Bike-Typ und das Geschlecht auswhlen!")

				EndSelect

			Else
				MsgBox(16, "Schritt 4: Fehler", "Bitte berprfe deine Angaben!")

			EndIf

		Case $btnClear
			; Input sizes
			GUICtrlSetData($inpBodyLength, "")
			GUICtrlSetData($inpStepLength, "")
			GUICtrlSetData($inpArmLength, "")

			; Framesize/Range
			GUICtrlSetData($cmbFrameSize, "")
			GUICtrlSetData($cmbFrameSize, "Auswahl|71.0 cm|73.8 cm|76.3 cm|78.8 cm|81.3 cm|83.8 cm|86.5 cm|89.0 cm|91.5 cm|94.0 cm|96.5 cm|99.0 cm|101.5 cm|104.0 cm", "Auswahl")
			GUICtrlSetData($inpRangeCalc, "")


			; Seatlength
			GUICtrlSetData($cmbSeatLength, "")
			GUICtrlSetData($cmbSeatLength, "Auswahl|97.0 cm|102.0 cm|107.0 cm|112.0 cm|117.0 cm|122.0 cm|127.0 cm|132.0 cm|137.0 cm|142.0 cm|147.0 cm|152.0 cm|158.0 cm|163.0 cm|168.0 cm", "Auswahl")
			GUICtrlSetData($inpUpperTubeLength, "")


			; Bodysizes
			GUICtrlSetData($inpResBodyLength, "")
			GUICtrlSetData($inpResStepLength, "")
			GUICtrlSetData($inpResArmLength, "")

			; Framegeometry
			GUICtrlSetData($inpResUpperTubeLength, "")
			GUICtrlSetData($inpResSteerTubeLength, "")
			GUICtrlSetData($inpResStemLength, "")
			GUICtrlSetData($inpResSeatTubeLength, "")

			; Progressbar
			;GUICtrlSetData($ProBarInput, "")

			; Checkboxes
			GUICtrlSetState($chkCC, $GUI_UNCHECKED)
			GUICtrlSetState($chkFreeride, $GUI_UNCHECKED)
			GUICtrlSetState($chkman, $GUI_UNCHECKED)
			GUICtrlSetState($chkTour, $GUI_UNCHECKED)
			GUICtrlSetState($chkwoman, $GUI_UNCHECKED)


		Case $menHelpAbout
			GUISetState(@SW_DISABLE)
				SplashTextOn("ber MFSC", "Mountainbike Framesize-Calculator v" & $AppVersion & @LF & @LF &"2010" & " by dvmade", -1, -1, -1, -1, 32, "", 20)
				Sleep(3000)
				SplashOff()
			GUISetState(@SW_ENABLE)

		Case $btnExit
			GUIDelete()
			Exit

		Case $menFileExit
			GUIDelete()
			Exit

		Case $GUI_EVENT_CLOSE
			GUIDelete()
			Exit

	EndSwitch
WEnd
